package com.tfg.api.projecte_tfg.builder;

import com.tfg.api.projecte_tfg.enums.Privacity;
import com.tfg.api.projecte_tfg.enums.Relation;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;

/**
 * Created by marc on 08/04/14.
 */

@Stateless
@LocalBean
public class PrivacityBuilder {
    
    
    public Privacity privacity(String arg) {
        if(Privacity.FRIENDS.toString().equals(arg)){
            return Privacity.FRIENDS;
        }else if(Privacity.PRIVATE.toString().equals(arg)){
            return Privacity.PRIVATE;
        }else if(Privacity.PUBLIC.toString().equals(arg)){
            return Privacity.PUBLIC;
        }
        return null;
    }

    public Boolean mach(Relation r, Privacity p){

        if(Relation.OWN.equals(r)){return true;}
        if(Privacity.PUBLIC.equals(p)){return true;}

        if(Relation.FRIEND.equals(r)
                && Privacity.FRIENDS.equals(p)){return true;}

        return false;
    }
}
