package com.tfg.api.projecte_tfg.builder;

import com.tfg.api.projecte_tfg.model.SCTrack;
import com.tfg.api.projecte_tfg.rest.object.ListTO;
import com.tfg.api.projecte_tfg.rest.object.ModelJSON;
import com.tfg.api.projecte_tfg.rest.object.SCTrackTO;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by marc on 12/05/14.
 */
@Stateless
@LocalBean
public class SouncloudBuilder {
    public ListTO<SCTrackTO> createError(String s) {
        return new ListTO<SCTrackTO>(ModelJSON.ERROR,s,null,null);
    }

    public List<SCTrackTO> createListTO(List<SCTrack> scTrackList, Long id) {

        if(scTrackList == null){return null;}

        List<SCTrackTO> scTrackTOList = new ArrayList<SCTrackTO>(scTrackList.size());

        for(SCTrack s : scTrackList){

            scTrackTOList.add(createSCTrackTO(s));

        }

        return scTrackTOList;
    }

    public SCTrackTO createSCTrackTO(SCTrack s) {

        if(s == null){return null;}

        return new SCTrackTO(s.getId(),s.getName(),s.getIframe(),s.getUrl());
    }
}
