package com.tfg.api.projecte_tfg.model;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 08/05/14.
 */
@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class Place extends Model implements Serializable {

    @Column(name = "Name",unique = true)
    private String name;

    @Column(name = "Adress")
    private String addr;

    @Column(name = "Description")
    private String description;


    public Place(){}

    public Place(String name, String addr, String description) {
        this.name = name;
        this.addr = addr;
        this.description = description;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
