package com.tfg.api.projecte_tfg.model;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 09/05/14.
 */
@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class PostHashTag extends Model implements Serializable {

    @NotNull
    @OneToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "post", referencedColumnName="ID")
    private Post post;

    @NotNull
    @OneToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "Hashtag", referencedColumnName="ID")
    private Hashtag hashtag;


    public PostHashTag(){}

    public PostHashTag(Post post, Hashtag hashtag) {
        this.post = post;
        this.hashtag = hashtag;
    }

    public Post getPost() {
        return post;
    }

    public void setPost(Post post) {
        this.post = post;
    }

    public Hashtag getHashtag() {
        return hashtag;
    }

    public void setHashtag(Hashtag hashtag) {
        this.hashtag = hashtag;
    }
}
