package com.tfg.api.projecte_tfg.model;

import javax.persistence.*;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 12/05/14.
 */
@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class SCTrack extends Model implements Serializable {

    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "Grup", referencedColumnName="ID")
    private Grup grup;

    @Column(name = "Name")
    private String name;

    @Lob
    @Column(name = "iframe", length = 100000 )
    private String iframe;

    @Column(name = "url")
    private String url;

    public SCTrack(){}

    public SCTrack(Grup grup, String name, String iframe, String url) {
        this.grup = grup;
        this.name = name;
        this.iframe = iframe;
        this.url = url;
    }

    public Grup getGrup() {
        return grup;
    }

    public void setGrup(Grup grup) {
        this.grup = grup;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIframe() {
        return iframe;
    }

    public void setIframe(String iframe) {
        this.iframe = iframe;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }
}
