package com.tfg.api.projecte_tfg.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 22/04/14.
 */

@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class StyleMusic extends Model implements Serializable {

    @Column(name = "NOM_ORIGINAL", length = 50, unique = true)
    private String nom_orginal;

    @Column(name = "NOM_CAT", length = 50, unique = true)
    private String nom_cat;

    public StyleMusic(String nom_orginal, String nom_cat) {
        this.nom_orginal = nom_orginal;
        this.nom_cat = nom_cat;
    }

    public StyleMusic() {
    }

    public String getNom_orginal() {
        return nom_orginal;
    }

    public void setNom_orginal(String nom_orginal) {
        this.nom_orginal = nom_orginal;
    }

    public String getNom_cat() {
        return nom_cat;
    }

    public void setNom_cat(String nom_cat) {
        this.nom_cat = nom_cat;
    }

    @Override
    public String toString() {
        return nom_orginal;
    }
}
