package com.tfg.api.projecte_tfg.rest.object;

import com.tfg.api.projecte_tfg.enums.Action;
import com.tfg.api.projecte_tfg.enums.Member;

import java.util.List;

/**
 * Created by marc on 22/04/14.
 */
public class GrupTO extends ModelJSON{

    private Long id;
    private String name;
    private String founded;
    private String styleMusic;
    private String description;
    private Member member;
    private Boolean follow;
    private List<MemberTO> users;
    private Action is;
    private byte[] img;
    private List<EventTO> events;
    private List<SCTrackTO> soundcloud;
    private Long friendsFollow;


    public GrupTO(){}

    public GrupTO(State state, String message, Long idcurrent){
        super(state,message,idcurrent);
    }

    public GrupTO(Long idcurrent, Long id, String name,
                  String founded, String styleMusic, String description, Member member,Boolean follow,
                  List<MemberTO> users,Action is,byte[] img,List<EventTO> events,List<SCTrackTO> soundcloud,
                  Long friendsFollow) {
        super(State.OK, "", idcurrent);
        this.id = id;
        this.name = name;
        this.founded = founded;
        this.styleMusic = styleMusic;
        this.description = description;
        this.member = member;
        this.users = users;
        this.follow = follow;
        this.is = is;
        this.img = img;
        this.events = events;
        this.soundcloud = soundcloud;
        this.friendsFollow = friendsFollow;
    }

    public GrupTO(State state, String message, Long idcurrent, Long id, String name,
                  String founded, String styleMusic, String description, Member member,Boolean follow,
                  List<MemberTO> users,Action is,byte[] img,List<EventTO> events,List<SCTrackTO> soundcloud,
                  Long friendsFollow) {
        super(state, message, idcurrent);
        this.id = id;
        this.name = name;
        this.founded = founded;
        this.styleMusic = styleMusic;
        this.description = description;
        this.member = member;
        this.users = users;
        this.follow = follow;
        this.is = is;
        this.img = img;
        this.events = events;
        this.soundcloud = soundcloud;
        this.friendsFollow = friendsFollow;
    }

    public Long getFriendsFollow() {
        return friendsFollow;
    }

    public void setFriendsFollow(Long friendsFollow) {
        this.friendsFollow = friendsFollow;
    }

    public List<SCTrackTO> getSoundcloud() {
        return soundcloud;
    }

    public void setSoundcloud(List<SCTrackTO> soundcloud) {
        this.soundcloud = soundcloud;
    }

    public List<EventTO> getEvents() {
        return events;
    }

    public void setEvents(List<EventTO> events) {
        this.events = events;
    }

    public byte[] getImg() {
        return img;
    }

    public void setImg(byte[] img) {
        this.img = img;
    }

    public Action getIs() {
        return is;
    }

    public void setIs(Action is) {
        this.is = is;
    }

    public Boolean getFollow() {
        return follow;
    }

    public void setFollow(Boolean follow) {
        this.follow = follow;
    }

    public Member getMember() {
        return member;
    }

    public void setMember(Member member) {
        this.member = member;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFounded() {
        return founded;
    }

    public void setFounded(String founded) {
        this.founded = founded;
    }

    public String getStyleMusic() {
        return styleMusic;
    }

    public void setStyleMusic(String styleMusic) {
        this.styleMusic = styleMusic;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public List<MemberTO> getUsers() {
        return users;
    }

    public void setUsers(List<MemberTO> users) {
        this.users = users;
    }
}
