package com.tfg.api.projecte_tfg.rest.object;

import com.tfg.api.projecte_tfg.enums.Status;
import com.tfg.api.projecte_tfg.enums.TypeNotifications;

/**
 * Created by marc on 28/04/14.
 */
public class NotificationsTO extends ModelJSON {

    private Long id;
    private String text;
    private Boolean isNew;
    private Status status;
    private String date;
    private TypeNotifications typeNotifications;
    private Long idFrom;
    private UserTO userTO;
    private GrupTO grupTO;
    private UserTO userFrom;
    private GrupTO grupFrom;

    public NotificationsTO() {

    }

    public NotificationsTO(State state, String message, Long idcurrent) {
        super(state, message, idcurrent);
    }

    public NotificationsTO(Long idcurrent, Long id, String text, Boolean isNew, Status status, String date,
                           TypeNotifications typeNotifications, Long idFrom, UserTO userTO,
                           GrupTO grupTO, UserTO userFrom, GrupTO grupFrom) {
        super(State.OK, "", idcurrent);
        this.id = id;
        this.text = text;
        this.isNew = isNew;
        this.status = status;
        this.date = date;
        this.typeNotifications = typeNotifications;
        this.idFrom = idFrom;
        this.userTO = userTO;
        this.grupTO = grupTO;
        this.userFrom = userFrom;
        this.grupFrom = grupFrom;
    }

    public NotificationsTO(State state, String message, Long idcurrent, Long id, String text,
                           Boolean isNew, Status status, String date, TypeNotifications typeNotifications,
                           Long idFrom, UserTO userTO, GrupTO grupTO, UserTO userFrom, GrupTO grupFrom) {
        super(state, message, idcurrent);
        this.id = id;
        this.text = text;
        this.isNew = isNew;
        this.status = status;
        this.date = date;
        this.typeNotifications = typeNotifications;
        this.idFrom = idFrom;
        this.userTO = userTO;
        this.grupTO = grupTO;
        this.userFrom = userFrom;
        this.grupFrom = grupFrom;
    }

    public UserTO getUserTO() {
        return userTO;
    }

    public void setUserTO(UserTO userTO) {
        this.userTO = userTO;
    }

    public GrupTO getGrupTO() {
        return grupTO;
    }

    public void setGrupTO(GrupTO grupTO) {
        this.grupTO = grupTO;
    }

    public UserTO getUserFrom() {
        return userFrom;
    }

    public void setUserFrom(UserTO userFrom) {
        this.userFrom = userFrom;
    }

    public GrupTO getGrupFrom() {
        return grupFrom;
    }

    public void setGrupFrom(GrupTO grupFrom) {
        this.grupFrom = grupFrom;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public TypeNotifications getTypeNotifications() {
        return typeNotifications;
    }

    public void setTypeNotifications(TypeNotifications typeNotifications) {
        this.typeNotifications = typeNotifications;
    }

    public Long getIdFrom() {
        return idFrom;
    }

    public void setIdFrom(Long idFrom) {
        this.idFrom = idFrom;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public Boolean getIsNew() {
        return isNew;
    }

    public void setIsNew(Boolean isNew) {
        this.isNew = isNew;
    }

    public Status getStatus() {
        return status;
    }

    public void setStatus(Status status) {
        this.status = status;
    }
}

