package com.tfg.api.projecte_tfg.service;

import com.tfg.api.projecte_tfg.model.Grup;
import com.tfg.api.projecte_tfg.model.StyleMusic;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * Created by marc on 22/04/14.
 */
@Stateless
@LocalBean
public class StyleMusicService {

    @PersistenceContext
    private EntityManager em;

    public StyleMusic find(String name) {
        try {

            Query q = em.createQuery("select s from StyleMusic s where s.nom_orginal = :name");

            q.setParameter("name", name);

            return (StyleMusic) q.getSingleResult();
        }
        catch (Exception e) {
            return null;
        }
    }

    public StyleMusic saveAndUpdate(StyleMusic styleMusic) {

        try{
            em.persist(styleMusic);
            return styleMusic;
        }catch (Exception e){
        }

        try{
            em.merge(styleMusic);
            return styleMusic;
        }catch (Exception e){
            return null;
        }
    }
}
