package com.tfg.api.projecte_tfg.util;

public class NumberUtils {

	public static boolean isLongNumber(String val) {
		try {
			Long.valueOf(val);
		} catch (NumberFormatException e) {
			return false;
		}
		return true;
	}

	public static boolean isIntegerNumber(String val) {
		try {
			Integer.valueOf(val);
		} catch (NumberFormatException e) {
			return false;
		}
		return true;
	}

	public static Long getLongNumber(String val) {
		try {
			return Long.valueOf(val);
		} catch (NumberFormatException e) {
			return null;
		}
	}

	public static Integer getIntegerNumber(String val) {
		try {
			return Integer.valueOf(val);
		} catch (NumberFormatException e) {
			return null;
		}
	}

	public static int compareLong(Long o1, Long o2) {
		Long wO1 = o1 == null ? (long) 0 : o1;
		Long wO2 = o2 == null ? (long) 0 : o2;

		if (wO1 < wO2) {
			return -1;
		} else if (wO1 > wO2) {
			return 1;
		}
		return 0;
	}

	public static boolean compareEquals(Float a1, Float b1) {
		Float a = a1;
		Float b = b1;
		if (a == null)
			a = (float) 0.0;
		if (b == null)
			b = (float) 0.0;

		return ((float) a == (float) b);
	}

	public static boolean compareEquals(Long a1, Long b1) {
		Long a = a1;
		Long b = b1;
		if (a == null)
			a = (long) 0;
		if (b == null)
			b = (long) 0;

		return ((long) a == (long) b);
	}

	public static int compareFloat(Float o1, Float o2) {
		Float wO1 = o1 == null ? (float) 0 : o1;
		Float wO2 = o2 == null ? (float) 0 : o2;

		if (wO1 < wO2) {
			return -1;
		} else if (wO1 > wO2) {
			return 1;
		}
		return 0;
	}
}
