define([
    'jquery',
    'underscore',
    'backbone',
    'utils'
], function($, _, Backbone,Utils){

    var mLogin = Backbone.Model.extend({

        defaults: {
            name : "",
            secondname : "",
            email : "",
            password : "",
            password2 : ""
        },

        contruct : function(n,s,e,p1,p2){

            this.name = n;
            this.secondname = s;
            this.email = e;
            this.password = p1;
            this.password2 = p2;

        },

        jsonData : function(){
            return {
                "name" : this.name,
                "secondname" : this.secondname,
                "email" : this.email,
                "password" : this.password,
                "password2" : this.password2
            };
        },

        check : function(){

            if(this.name == null || this.secondname == null || this.email == null
                || this.password == null || this.password2 == null || this.name == "" || this.secondname == ""
                || this.email == "" || this.password == ""  || this.password2 == ""){

                return false;
            } else return true;
        },

        checkPaswords : function(){


            var msg = this.checkpwd(this.password);
            if(msg != "OK"){
                return msg;
            }

            msg = this.checkpwd(this.password2);
            if(msg == "OK"){
                if(this.password != this.password2){
                    return "Les contrasenyes no coincideixen.";
                }else return "OK";
            }else{
                return msg;
            }

        },

        /*
         * return OK if pws is OK
         * else returns the error (spanish)
         * */
         checkpwd: function(pwd){

        if(pwd != null && pwd != "") {

            if(pwd.length < 6) {
                return "Error: La contrasenya te que tenir com a mínim 6 caràcters!";
            }

            re = /[0-9]/;
            if(!re.test(pwd)) {
                return "Error: La contrasenya te que tenir com a mínim 1 número. (0-9)!";
            }
            re = /[a-z]/;
            if(!re.test(pwd)) {
                return "Error: La contrasenya te que tenir com a mínim 1 lletra minúscula. (a-z)!";
            }
            re = /[A-Z]/;
            if(!re.test(pwd)) {
                return "Error: La contrasenya te que tenir com a mínim 1 letra majúscula. (A-Z)!";
            }

        } else {
            return "Error: Falta posar contrasenya!";
        }

        return "OK";
    }


    });
    // Return the model for the module
    return mLogin;


});