/**
 * Created by marc on 29/04/14.
 */

define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'text!../../../../modal/Grup/modalCrear.html',
    'views/utils/vVarTime'
], function($, _, Backbone,Bootstrap,template,vVarTime){

    var view = Backbone.View.extend({

        initialize : function(){
            this.render();
        },

        render: function(){
            var self = this;
            this.$el.html("");
            this.$el.append( _.template( template, {}));

            self.$el.find('#idTitleMembresCrear').hide();
            self.$el.find('#iddivModalCreacioGrupAutocompleteUsers').hide();

            $('#idModalFundat').datetimepicker({
                lang:'cat',
                timepicker:false,
                format:'d/m/Y'});

            $('#idModalCrearNomGrup').val(self.model.name);
            $('#idModalCrearDescription').val(self.model.description);
            $('#idModalFundat').val(self.model.founded);
            $('#idModalCrearEstil').val(self.model.styleMusic);

            $("#uploadedfile").on("change", function(){
                var file = this.files[0],
                    fileName = file.name,
                    fileSize = file.size;

                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#imguploadedfile')
                        .attr('src', e.target.result)
                        .width(100)
                        .height(100);
                };

                reader.readAsDataURL(file);

                //alert("Uploading: "+fileName+" @ "+fileSize+"bytes");
                //CustomFileHandlingFunction(file);
            });

            $('#modalApp').find('.modal-footer:first')
                .find('button:first')
                .click(function(){

                    if($('#idModalCrearNomGrup').val() == ""){
                        return;
                    }

                    var vartime = new vVarTime();
                    vartime.render();
                        var json = $.ajax({
                            url : "/rest/grup/"+self.model.id,
                            type : "PUT",
                            dataType : "json",
                            data : {
                                name : $('#idModalCrearNomGrup').val(),
                                description : $('#idModalCrearDescription').val(),
                                founded : $('#idModalFundat').val(),
                                styleMusica : $('#idModalCrearEstil').val(),
                                photo : $("#imguploadedfile").attr('src')
                            }
                        }).done(function( response, status, jqXHR ) {
                            vartime.quit();
                            $('#modalApp').modal('hide');


                        }).fail(function( response ) {
                            vartime.quit();
                        });

                });
        }

    });

    return view;

});
