/**
 * Created by marc on 08/05/14.
 */


define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'datetimepicker',
    'text!../../../../modal/modalDefould.html',
    'text!../../../../templates/grup/tNouEvent.html',
    'views/utils/vVarTime'
], function($, _, Backbone,Bootstrap,datetimepicker,modalDefould,tNouEvent,vVarTime){

    var view = Backbone.View.extend({

        el : $('#modalApp'),

        initialize : function(){
        },

        render: function(viewGrup){
            var self = this;

            var btnDone = '<button id="idButtonSendEvent" type="button" class="btn btn-default green-color">' +
                '<span class="glyphicon glyphicon-send"></span>&nbsp;Enviar</button>';

            //init modal
            $('#modalApp').html("");
            $('#modalApp').append(_.template(modalDefould, {}));
            $('#modalApp').find('.modal-title:first').html("Crear nou event");
            $('#modalApp').find('.modal-body:first').html(_.template(tNouEvent, {}));
            $('#modalApp').find('.modal-footer:first').prepend(btnDone);


            $('#datetimepicker').datetimepicker({
                lang:'cat',
                format:'d/m/Y H:i'});

            $('#modalApp').modal({});

            this.$el.find('#idButtonSendEvent').click(function(){

                var grupId = self.model.id;
                var description = self.$el.find('#IdTextAreaDescriptionEvent').val();
                var date = self.$el.find('#datetimepicker').val();
                var place = self.$el.find('#idInputPlaceEvent').val();

                var vartime = new vVarTime();
                vartime.render();
                var friendsJNSON = $.ajax({
                    url : "rest/event",
                    type : "POST",
                    dataType : "json",
                    data : {
                        groupId : grupId,
                        place : place,
                        description : description,
                        date : date
                    }
                }).done(function(response, status, jqXHR){
                    vartime.quit();

                    if(response.state == "OK"){
                        $('#modalApp').modal('hide');
                        if(viewGrup != null){
                            viewGrup.render(response.grupId);
                        }
                    }
                }).fail(function(response){
                    vartime.quit();

                });
            });

        }

    });

    return view;

});

