/**
 * Created by marc on 08/04/14.
 */
define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap'
], function($, _, Backbone,Bootstrap){

    var InfoUser = Backbone.View.extend({

        events: {
        },

        initialize : function(){
            this.$el.html("");
        },

        render: function(relation){

            var defaultDiv = '<div class="divInfoUser col-md-12 col-sm-6 col-xs-6"></div>';
            var defaultDivItem = '<div class="col-md-6 col-sm-6 col-xs-6"></div>' +
                '<div class="col-md-6 col-sm-6 col-xs-6"></div>';


            if(this.model.sex != null && this.model.sex != " "
                && (this.model.sexPrivacity == "PUBLIC"
                || (relation == "FRIEND" && this.model.sexPrivacity == "FRIENDS")
                || relation == "OWN")){

                this.$el.append(defaultDiv);
                var _div = this.$el.find('div:last');
                _div.append(defaultDivItem);
                _div.find('div:first').append('Sexe');
                _div.find('div:last').append(this.sexInput(this.model.sex));
            }

            if(this.model.birthday != null && this.model.birthday != " "
                && (this.model.birthdayPrivacity == "PUBLIC"
                || (relation == "FRIEND" && this.model.birthdayPrivacity == "FRIENDS")
                || relation == "OWN")){

                this.$el.append(defaultDiv);
                var _div = this.$el.find('div:last');
                _div.append(defaultDivItem);
                _div.find('div:first').append('Cumpleanys');
                _div.find('div:last').append(this.model.birthday);
            }

            if(this.model.country != null && this.model.country != " "
                && (this.model.countryPrivacity == "PUBLIC"
                || (relation == "FRIEND" && this.model.countryPrivacity == "FRIENDS")
                || relation == "OWN")){

                this.$el.append(defaultDiv);
                var _div = this.$el.find('div:last');
                _div.append(defaultDivItem);
                _div.find('div:first').append('Pais');
                _div.find('div:last').append(this.model.country);
            }

            if(this.model.city != null && this.model.city != " "
                && (this.model.cityPrivacity == "PUBLIC"
                || (relation == "FRIEND" && this.model.cityPrivacity == "FRIENDS")
                || relation == "OWN")){

                this.$el.append(defaultDiv);
                var _div = this.$el.find('div:last');
                _div.append(defaultDivItem);
                _div.find('div:first').append('Ciutat');
                _div.find('div:last').append(this.model.city);
            }

            if(this.model.phone != null && this.model.phone != " "
                && (this.model.phonePrivacity == "PUBLIC"
                || (relation == "FRIEND" && this.model.phonePrivacity == "FRIENDS")
                || relation == "OWN")){

                this.$el.append(defaultDiv);
                var _div = this.$el.find('div:last');
                _div.append(defaultDivItem);
                _div.find('div:first').append('Mobil');
                _div.find('div:last').append(this.model.phone);
            }

        },

        setEl : function(el){
            this.$el = el;
        },

        sexInput : function(sex){

            if(sex == "MALE"){
               return "Home";
            }else if(sex == "FEMALE"){
               return "Dona";
            }
            return null;
        }


    });


    return InfoUser;
});