/**
 * Created by marc on 01/04/14.
 */

define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'text!../../../templates/search/tItemSearch.html',
    'views/search/vItemSearch',
    'models/mListSearch'
], function($, _, Backbone,Bootstrap,tItemSearch,vItemSearch,mListSearch){

    var vTextBox = Backbone.View.extend({

        events: {
        },

        initialize : function(){
            this.$el.html("");
        },

        render: function(list){
            this.update(list);
        },

        update : function(list){

            var self = this;
            self.printListPost(list);


        },

        printListPost : function(listPost){

            for(var i = 0;i < listPost.length; i++){

                this.$el.append('<div></div>');
                var _div = this.$el.find('div:last');
                var item = new vItemSearch({ el : _div, model :  listPost[i]});
                item.render(this);
            }
        },

        setEl : function(el){
            this.$el = el;
        },

        PrintPost : function(p){
            this.$el.append('<div></div>');
            var _divPost = this.$el.find('div:last');
            var post = new vPost({ el : _divPost, model :  p});
            post.render(this);
        },

        PrintPostHide : function(p){
            this.$el.append('<div></div>');
            var _divPost = this.$el.find('div:last');
            var post = new vPost({ el : _divPost, model :  p});
            post.render(this);
            _divPost.hide();
        },

        PrintFirstPost : function(p){
            this.$el.prepend('<div></div>');
            var _divPost = this.$el.find('div:first');
            var post = new vPost({ el : _divPost, model :  p});
            post.render(this);
        }

    });


    return vTextBox;
});

