/**
 * Created by marc on 14/05/14.
 */
define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'text!../../../templates/utils/tBoxHashtag.html',
    'views/utils/vModalList',
    'views/utils/vVarTime'
], function($, _, Backbone,Bootstrap,tBoxHashtag,vModalList,vVarTime){

    var vTextBox = Backbone.View.extend({

        events: {
        },

        initialize : function(){
        },

        render: function(list,title){

            this.$el.prepend(_.template( tBoxHashtag, {title : title} ));
            this.$el = this.$el.find('div:first').find('div:last');
            this.update(list);
        },

        update : function(list){

            for(var i = 0;i < list.length; i++){
                var hashtag = list[i];
                this.$el.append('<div class="col-md-12 hashTagStyle"><a>'+hashtag+'</a></div>');
            }

            this.HashTagsClick();
        },

        setEl : function(el){
            this.$el = el;
        },

        HashTagsClick : function(){
            var self = this;

            this.$el.find('a').each(function(index){

                var value =$(this).html();

                if(value != null && value != "" &&
                    value.length > 1 && value.substring(0,1) == "#"){

                    $(this).click(function(){

                        var value2 = value.substring(1,value.length);

                        var vartime = new vVarTime();
                        vartime.render();

                        var json = $.ajax({
                            url : "/rest/post/hashtag/"+ value2,
                            type : "GET",
                            dataType : "json"
                        }).done(function( response, status, jqXHR ) {
                            vartime.quit();

                            if(response.state == "OK"){
                                var modalList = new vModalList();
                                modalList.render(response.list,value);
                            }

                        }).fail(function( response ) {
                            vartime.quit();


                        });

                    });
                }
            });
        },

    });


    return vTextBox;
});

