/**
 * Created by marc on 12/05/14.
 */
define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap'
], function($, _, Backbone,Bootstrap){

    var view = Backbone.View.extend({

        el: $('body'),

        initialize : function(){
        },

        render: function(int){

            var self = this;
            self.model = true;

            if(int == null){
            this.$el.prepend('<div class="timeMsg">' +
                '<div class="progress progress-striped active">' +
                '<div class="progress-bar progress-bar-danger"  role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: 100%">' +
                '<span class="sr-only">100% Complete</span>' +
                '</div>' +
                '</div>' +
                '</div>');
            }else{
                this.$el.prepend('<div class="timeMsg">' +
                    '<div class="progress progress-striped active">' +
                    '<div class="progress-bar progress-bar-danger"  role="progressbar" aria-valuenow="45" aria-valuemin="0" aria-valuemax="100" style="width: '+int+'%">' +
                    '<span class="sr-only">100% Complete</span>' +
                    '</div>' +
                    '</div>' +
                    '</div>');

            }


            var item = this.$el.find('.timeMsg').eq(0);

            if(item != null){
                var size = (($( window ).width())/2) - ((item.width())/2);
                item.css({'margin-left':size+'px'});

                $(function() {
                    setTimeout(function() {
                        if(self.model){

                            item.remove();
                        }

                    }, 1000*100);
                });


            }
        },

        quit : function(){

            var item = this.$el.find('.timeMsg').eq(0);

            if(item != null){
                self.model = false;
                item.remove();

            }

        }
    });

    return view;

});

