package com.tfg.api.projecte_tfg.model;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.util.Date;

/**
 * Created by marc on 08/05/14.
 */
@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class EventGrup extends Model implements Serializable {

    @NotNull
    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "GroupId", referencedColumnName="ID")
    private Grup grup;

    @NotNull
    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "PlaceId", referencedColumnName="ID")
    private Place place;

    @Column(name = "Description")
    private String description;

    @Column(name = "date")
    private Date date;

    public EventGrup() {
    }

    public EventGrup(Grup grup, Place place, String description, Date date) {

        this.grup = grup;
        this.place = place;
        this.description = description;
        this.date = date;
    }

    public Grup getGrup() {
        return grup;
    }

    public void setGrup(Grup grup) {
        this.grup = grup;
    }

    public Place getPlace() {
        return place;
    }

    public void setPlace(Place place) {
        this.place = place;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }
}
