package com.tfg.api.projecte_tfg.model;

import com.tfg.api.projecte_tfg.enums.Status;

import javax.persistence.*;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 02/05/14.
 */
@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class FollowGrup extends Model implements Serializable{

    @NotNull
    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "IdGrup", referencedColumnName="ID")
    private Grup grup;

    @NotNull
    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "IdUser", referencedColumnName="ID")
    private User user;

    @Column(name = "Follow")
    private Boolean follow;

    public FollowGrup(Grup grup, User user, Boolean follow) {
        this.grup = grup;
        this.user = user;
        this.follow = follow;
    }

    public FollowGrup() {

    }

    public Grup getGrup() {
        return grup;
    }

    public void setGrup(Grup grup) {
        this.grup = grup;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Boolean getFollow() {
        return follow;
    }

    public void setFollow(Boolean follow) {
        this.follow = follow;
    }
}
