package com.tfg.api.projecte_tfg.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.validation.constraints.NotNull;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 09/05/14.
 */

@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class Hashtag extends Model implements Serializable {

    @NotNull
    @Column(name = "Hastag", unique = true)
    private String hashtag;

    public Hashtag(String hashtag) {
        this.hashtag = hashtag;
    }

    public Hashtag(){}

    public String getHastag() {
        return hashtag;
    }

    public void setHashtag(String hashtag) {
        this.hashtag = hashtag;
    }
}
