package com.tfg.api.projecte_tfg.model;

import com.sun.org.apache.xpath.internal.operations.Bool;

import javax.persistence.*;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;

/**
 * Created by marc on 13/05/14.
 */
@Entity
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class LikePost extends Model implements Serializable {

    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "userId", referencedColumnName="ID")
    private User user;

    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "postId", referencedColumnName="ID")
    private Post post;

    @OneToOne( fetch = FetchType.EAGER)
    @JoinColumn(name = "commentaryId", referencedColumnName="ID")
    private Commentary commentary;

    @Column(name = "LikePost")
    private Boolean like;

    public LikePost(){}

    public LikePost(User user, Post post, Commentary commentary, Boolean like) {
        this.user = user;
        this.post = post;
        this.commentary = commentary;
        this.like = like;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public Post getPost() {
        return post;
    }

    public void setPost(Post post) {
        this.post = post;
    }

    public Commentary getCommentary() {
        return commentary;
    }

    public void setCommentary(Commentary commentary) {
        this.commentary = commentary;
    }

    public Boolean getLike() {
        return like;
    }

    public void setLike(Boolean like) {
        this.like = like;
    }
}
