package com.tfg.api.projecte_tfg.rest.object;

import com.tfg.api.projecte_tfg.enums.Action;
import com.tfg.api.projecte_tfg.enums.Permit;
import com.tfg.api.projecte_tfg.enums.TypePost;
import com.tfg.api.projecte_tfg.model.Commentary;
import com.tfg.api.projecte_tfg.model.Post;
import com.tfg.api.projecte_tfg.model.SCTrack;
import com.tfg.api.projecte_tfg.util.DateUtils;

import java.util.List;

/**
 * Created by marc on 26/03/14.
 */
public class PostTO extends ModelJSON{


    public Long id;
    public String text;
    public String date;
    public UserTO userTo;
    public GrupTO grupTo;
    public UserTO userFrom;
    public GrupTO grupFrom;
    public PostTO postShare;
    public Permit permit;
    public List<CommentaryTO> commentaryTOList;
    private Long nLike;
    private Boolean like;
    private Action is;
    private SCTrackTO scTrackTO;

    public PostTO(State state, String message, Long idcurrent, Long id, String text, String date, UserTO userTo,
                  GrupTO grupTo, UserTO userFrom, GrupTO grupFrom, PostTO postShare,Permit permit,
                  List<CommentaryTO> commentaryTOList,Long nLike,Boolean like,Action is,SCTrackTO scTrackTO) {
        super(state, message, idcurrent);
        this.id = id;
        this.text = text;
        this.date = date;
        this.userTo = userTo;
        this.grupTo = grupTo;
        this.userFrom = userFrom;
        this.grupFrom = grupFrom;
        this.postShare = postShare;
        this.permit = permit;
        this.commentaryTOList = commentaryTOList;
        this.nLike = nLike;
        this.like = like;
        this.is = is;
        this.scTrackTO = scTrackTO;

    }

    public SCTrackTO getScTrackTO() {
        return scTrackTO;
    }

    public void setScTrackTO(SCTrackTO scTrackTO) {
        this.scTrackTO = scTrackTO;
    }

    public Action getIs() {
        return is;
    }

    public void setIs(Action is) {
        this.is = is;
    }

    public Boolean getLike() {
        return like;
    }

    public void setLike(Boolean like) {
        this.like = like;
    }

    public Long getnLike() {
        return nLike;
    }

    public void setnLike(Long nLike) {
        this.nLike = nLike;
    }

    public List<CommentaryTO> getCommentaryTOList() {
        return commentaryTOList;
    }

    public void setCommentaryTOList(List<CommentaryTO> commentaryTOList) {
        this.commentaryTOList = commentaryTOList;
    }

    public Permit getPermit() {
        return permit;
    }

    public void setPermit(Permit permit) {
        this.permit = permit;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public UserTO getUserTo() {
        return userTo;
    }

    public void setUserTo(UserTO userTo) {
        this.userTo = userTo;
    }

    public GrupTO getGrupTo() {
        return grupTo;
    }

    public void setGrupTo(GrupTO grupTo) {
        this.grupTo = grupTo;
    }

    public UserTO getUserFrom() {
        return userFrom;
    }

    public void setUserFrom(UserTO userFrom) {
        this.userFrom = userFrom;
    }

    public GrupTO getGrupFrom() {
        return grupFrom;
    }

    public void setGrupFrom(GrupTO grupFrom) {
        this.grupFrom = grupFrom;
    }

    public PostTO getPostShare() {
        return postShare;
    }

    public void setPostShare(PostTO postShare) {
        this.postShare = postShare;
    }
}
