package com.tfg.api.projecte_tfg.rest.object;

import com.tfg.api.projecte_tfg.enums.Action;
import com.tfg.api.projecte_tfg.enums.Relation;
import com.tfg.api.projecte_tfg.util.StringUtils;

import java.util.List;

/**
 * Created by marc on 19/03/14.
 */
public class UserTO extends ModelJSON {

    private Long id;
    private String name;
    private String secondname;
    private String email;
    private Long notification;
    private Action is;
    private String description;
    private Relation relation;
    private Long commonFriends;
    private byte[] img;
    private Long nfollow;
    private Long nfollowers;
    private Long npost;
    private List<MemberTO> grups;
    private Long nFavGrup;


    public UserTO(State state,String message,Long idcurrent,Long id, String name, String secondname, String email,
                  Long notification,Action is, String description,Relation relation, Long commonFriends,
                  byte[] img,Long nfollow,Long nfollowers,Long npost,List<MemberTO> grups,Long nFavGrup) {

        super(state,message,idcurrent);
        this.id = id;
        this.name = StringUtils.ConvertirPrimeraLetraEnMayuscula(name);
        this.secondname = StringUtils.ConvertirPrimeraLetraEnMayuscula(secondname);
        this.email = email;
        this.notification = notification;
        this.is = is;
        this.description = description;
        this.relation = relation;
        this.commonFriends = commonFriends;
        this.img = img;
        this.nfollow = nfollow;
        this.nfollowers = nfollowers;
        this.npost = npost;
        this.grups = grups;
        this.nFavGrup = nFavGrup;
    }

    public UserTO(Long idcurrent,Long id, String name, String secondname, String email,Long notification,
                   Action is, String description,Relation relation, Long commonFriends,
                   byte[] img,Long nfollow,Long nfollowers,Long npost,List<MemberTO> grups,Long nFavGrup) {

        super(ModelJSON.OK,ModelJSON.MSG_EMPTY,idcurrent);
        this.id = id;
        this.name = StringUtils.ConvertirPrimeraLetraEnMayuscula(name);
        this.secondname = StringUtils.ConvertirPrimeraLetraEnMayuscula(secondname);
        this.email = email;
        this.notification = notification;
        this.is = is;
        this.description = description;
        this.relation = relation;
        this.commonFriends = commonFriends;
        this.img = img;
        this.nfollow = nfollow;
        this.nfollowers = nfollowers;
        this.npost = npost;
        this.grups = grups;
        this.nFavGrup = nFavGrup;

    }

    public Long getnFavGrup() {
        return nFavGrup;
    }

    public void setnFavGrup(Long nFavGrup) {
        this.nFavGrup = nFavGrup;
    }

    public byte[] getImg() {
        return img;
    }

    public void setImg(byte[] img) {
        this.img = img;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = StringUtils.ConvertirPrimeraLetraEnMayuscula(name);
    }

    public String getSecondname() {
        return secondname;
    }

    public void setSecondname(String secondname) {
        this.secondname = StringUtils.ConvertirPrimeraLetraEnMayuscula(secondname);
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Long getNotification() {
        return notification;
    }

    public void setNotification(Long notification) {
        this.notification = notification;
    }

    public Action getIs() {
        return is;
    }

    public void setIs(Action is) {
        this.is = is;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Relation getRelation() {
        return relation;
    }

    public void setRelation(Relation relation) {
        this.relation = relation;
    }

    public Long getCommonFriends() {
        return commonFriends;
    }

    public void setCommonFriends(Long commonFriends) {
        this.commonFriends = commonFriends;
    }

    public Long getNfollow() {
        return nfollow;
    }

    public void setNfollow(Long nfollow) {
        this.nfollow = nfollow;
    }

    public Long getNfollowers() {
        return nfollowers;
    }

    public void setNfollowers(Long nfollowers) {
        this.nfollowers = nfollowers;
    }

    public Long getNpost() {
        return npost;
    }

    public void setNpost(Long npost) {
        this.npost = npost;
    }

    public List<MemberTO> getGrups() {
        return grups;
    }

    public void setGrups(List<MemberTO> grups) {
        this.grups = grups;
    }
}
