package com.tfg.api.projecte_tfg.service;

import com.tfg.api.projecte_tfg.model.ImageUser;
import com.tfg.api.projecte_tfg.model.InfoUser;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * Created by marc on 25/03/14.
 */


@Stateless
@LocalBean
public class ImageUserService {


    @PersistenceContext
    private EntityManager em;

    public ImageUser getImageById(Long id) {

        try {

            Query q = em.createQuery("select iu from ImageUser iu where iu.user.id=:id");
            q.setParameter("id", id)
            ;
            return (ImageUser) q.getSingleResult();

        } catch (Exception e) {
            return null;
        }
    }

    public void save(ImageUser imageUser) {

        em.persist(imageUser);
    }
}
