package com.tfg.api.projecte_tfg.service;

import com.tfg.api.projecte_tfg.model.InfoUser;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

/**
 * Created by marc on 25/03/14.
 */

@Stateless
@LocalBean
public class InfoUserService {

    @PersistenceContext
    private EntityManager em;

    public InfoUser getByIdUser(Long id) {

        try {

            Query q = em.createQuery("select iu from InfoUser iu where iu.user.id=:id");
            q.setParameter("id", id);
            return (InfoUser) q.getSingleResult();
        }
        catch (Exception e) {
            return null;
        }
    }

    public InfoUser save(InfoUser iu) {
        try{
        em.persist(iu);
        }catch (Exception e){
            try{
                em.merge(iu);
            }catch (Exception ex){
                return null;
            }
        }
        em.flush();
        return iu;
    }

    public void update(InfoUser iu) {
        em.merge(iu);
    }
}
