package com.tfg.api.projecte_tfg.service;

import com.tfg.api.projecte_tfg.model.Place;
import com.tfg.api.projecte_tfg.model.User;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;
import java.util.List;

/**
 * Created by marc on 08/05/14.
 */

@Stateless
@LocalBean
public class PlaceService {

    @PersistenceContext
    private EntityManager em;

    public Place getByName(String name) {
        try {
            Query q = em.createQuery("select p from Place p where p.name=:name");

            q.setParameter("name", name);

            return (Place) q.getSingleResult();
        }
        catch (Exception e) {
            return null;
        }
    }

    public void save(Place place) {

        em.persist(place);
    }
}
