/**
 * Created by marc on 29/04/14.
 */

define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'views/grup/vButtonsMemberBasic',
    'views/grup/vButtonsUserAuth'
], function($, _, Backbone,Bootstrap,vButtonsMemberBasic,vButtonsUserAuth){

    var vFactoryButtons = Backbone.View.extend({

        initialize : function(){
            this.$el.html("");
        },

        render: function(view){

            if(this.model.member == "BASIC"){

                var btnBasic = new vButtonsMemberBasic({
                    el : this.$el,
                    model : this.model});

            }else if(this.model.member == "ADMIN"){

                var btnAdmin = new vButtonsMemberBasic({
                    el : this.$el,
                    model : this.model});

            }else if(this.model.member == "FOUNDER"){

                var btnFounder = new vButtonsMemberBasic({
                    el : this.$el,
                    model : this.model});

            }else if(this.model.member == "NOT_MEMBER"){
                var btnNot_Member = new vButtonsUserAuth({
                    el : this.$el,
                    model : this.model});
                btnNot_Member.render(view);
            }else{

            }
        }
    });

    return vFactoryButtons;

});
