/**
 * Created by marc on 12/05/14.
 */
define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap'
], function($, _, Backbone,Bootstrap){

    var view = Backbone.View.extend({

        initialize : function(){
        },

        render: function(player){

            var self = this;
            this.$el.append('<div class="itemSong"> <span class="glyphicon glyphicon-music spanSong"></span>' +
                '<div class="songTitle">'+this.model.name+'</div>' +
                '<div class="songUrl"><a href="'+ this.model.url +'">'+this.model.url+'</a></div>' +
                '</div>');

            var song = this.$el.find('.itemSong:last');
            song.click(function(){
                player.html(self.model.iframe);
            });
        }
    });

    return view;

});