/**
 * Created by marc on 31/03/14.
 */

define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'text!../../../templates/post/tTextPost.html',
    'views/post/vPost',
    'views/post/vVidioYoutube'
], function($, _, Backbone,Bootstrap,tTextPost,vPost,vVidioYoutube){

    var vTextBox = Backbone.View.extend({

        events: {
            "click #idTextPostBtnSend": "sendPost"
        },

        initialize : function(){
            this.$el.html("");
        },

        render: function(){
            compiledTemplate = _.template( tTextPost, {} );
            this.$el.append( compiledTemplate );
        },

        setEl : function(el){
            this.$el = el;
        },

        sendPost : function(){

            var text = this.$el.find('div:first').find('textarea:last').val();

            if(text == null || text == ""){return;}

            var self = this;

            var json = $.ajax({
                url : "/rest/post/my",
                type : "POST",
                dataType : "json",
                data: {
                    "text" : text,
                    "to" : self.model.idUser,
                    "from" : self.model.idCurrentUser
                }
            }).done(function( response, status, jqXHR ) {
                self.$el.find('div:first').find('textarea:last').val("");
                if(response.state == "OK"){

                    self.model.div.prepend('<div></div>');
                    var _divPost = self.model.div.find('div:first');
                    var post = new vPost({ el : _divPost, model :  response});

                }

            }).fail(function( response ) {

            });

        }

    });


    return vTextBox;
});

