/**
 * Created by marc on 01/04/14.
 */

define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'views/utils/vUser',
    'views/utils/vGrup',
    'views/post/vPost'
], function($, _, Backbone,Bootstrap,vUser,vGrup,vPost){

    var vPost = Backbone.View.extend({

        events: {
        },

        initialize : function(){
            this.$el.html("");
        },

        render: function(view){

            var self = this;

            if(this.model.is == "USER"){
                var item = new vUser({ el : this.$el, model :  this.model});
            }else if(this.model.is == "GRUP"){
                var item = new vGrup({ el : this.$el, model :  this.model});
            }else if(this.model.is == "POST"){
                var item = new vPost({ el : this.$el, model :  this.model});
                item.render(view);
            }
        }

    });


    return vPost;
});

