/**
 * Created by marc on 13/05/14.
 */
define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'text!../../../modal/modalDefould.html',
    'views/utils/vPost',
    'views/utils/vGrup',
    'views/utils/vUser',
    'views/utils/vEvent',
    'views/utils/vVarTime'
], function($, _, Backbone,Bootstrap,modalDefould,vPost,vGrup,vUser,vEvent,vVarTime){

    var modalList = Backbone.View.extend({

        el : $('#modalApp'),

        initialize : function(){
            try{
                $('#modalApp').modal('hide');

            }catch (err){}


        },

        render: function(llista,title){
            this.$el.html("");

            var self = this;
            //append Template
            this.$el.append(_.template(modalDefould, {}));
            $('#modalApp').modal('show');

            this.$el.find('.modal-title:first').html(title);
            this.$el.find('.modal-footer:first').remove();

            this.$el.find('.modal-body:first').append('<div class="overflowModal"></div>');
            var body = this.$el.find('.modal-body:first').find('div:last');



            for(var i in llista){
                var obj = llista[i];

                body.append('<div class="width100"></div>');
                var _div = body.find('div:last');

                if(obj.is == "USER"){
                    var user = new vUser({el: _div, model: obj});

                }else if(obj.is == "GRUP"){
                    var grup = new vGrup({el: _div, model: obj});

                }else if(obj.is == "POST"){
                    var post = new vPost({el: _div, model: obj});
                    post.render(self);
                }else if(obj.is == "EVENT"){
                    var event = new vEvent({el: _div, model: obj});
                }
            }
        }

    });

    return modalList;

});

