/**
 * Created by marc on 31/03/14.
 */
define([
    'jquery',
    'underscore',
    'backbone',
    'bootstrap',
    'views/vVar',
    'text!../../templates/search/tSearch.html',
    'views/search/vListSearch',
    'views/utils/vListHashtag'
], function($, _, Backbone,Bootstrap,vVar,tSearch,vListSearch,vListHashtag){

    var vSearch = Backbone.View.extend({

        el: $('#contextApp'),

        initialize : function(){
            this.$el.html("");
        },

        render: function(text){

            var compiledTemplate = _.template( tSearch, {text_My_Publicaicones: "Cercar: "+text} );
            this.$el.append( compiledTemplate );

            var json = $.ajax({
                url : "/rest/hashtag/tendency",
                type : "GET",
                dataType : "json"
            }).done(function( response, status, jqXHR ) {

                if(response.state == "OK"){

                    if( response.list != null && response.list.length != 0){
                        var _ListHashtags = new vListHashtag({ el : $("#idBoxRight")});
                        _ListHashtags.render(response.list,"#Populars");
                    }
                }

            }).fail(function( response ) {


            });

            this.init(text);
        },

        init : function(text){

            var json = $.ajax({
                url : "/rest/search/"+text,
                //contentType: 'application/json',
                type : "GET",
                dataType : "json"
            }).done(function( response, status, jqXHR ) {

                if(response.state == "OK"){

                    var _searchList = new vListSearch({ el : $("#idDivMyPrincipalPublicaciones")});
                    _searchList.render(response.list);

                    if( response.hashtag != null && response.hashtag.length != 0){
                        var _ListHashtags = new vListHashtag({ el : $("#idBoxRight")});
                        _ListHashtags.render(response.hashtag,"HashTags");
                    }
                }

            }).fail(function( response ) {


            });


            var vvar = new vVar();
            vvar.render();

        }
    });

    return vSearch;

});
